
module Main(main) where

import TerraHS
import TerraHS.Misc.StrFunctions
import TerraHS.Misc
import Algebras.Base.Geometries
import Algebras.Base

import Algebras.Functor.Category

host = "localhost";
dbname =  "db5";
user = "root";
password = "root";

pol :: TePolygon
pol = createPolygon [(createLine [ (1.0,1.0),(1.0,2.0),(3,2),(3.0,1.0),(1,1) ] )]

tegeo = TeGeoObject (ObjectId "1")  [( Attr ("idade", (InValue 12)))] [ (GPg  pol)] 

main :: IO ()
main = do
	-- open a database connection
	db <- open (TeMySQL host user password dbname)
	store db "meulayer" [tegeo] 
	print ("rodou")
